Mailinglist Archive: opensuse-features (33 mails)

< Previous Next >
[openFATE 309540] Create Saxon9 Package
Feature changed by: Eric Bischoff (e_bischoff)
Feature #309540, revision 11
Title: Create Saxon9 Package

Package Wishlist: New
Priority
Requester: Important

Requested by: Thomas Schraitle (thomas-schraitle)
Product Manager: Michael Loeffler (sprudel24)
Partner organization: openSUSE.org

Description:
Currently we have only Saxon 6.x and Saxon 8.8. It would be useful, if
we could add this package as it is under Mozilla licence.
The latest version brings some bug fixing and some other improvements.

Relations:
- The XSLT and XQuery Processor (url: http://saxon.sourceforge.net/)
- 41257 (obs/request: 41257)

Discussion:
#1: Pavol Rusnak (prusnak) (2010-05-17 16:16:21)
Saxon 9 is ready in home:lkundrak:IDEA project. Feel free to work on it
and integrate it to any Java devel project (like e.g. Java:packages)

#2: Thomas Schraitle (thomas-schraitle) (2010-05-17 16:20:13) (reply to
#1)
Thanks Pavol! :) Strangley, it can not be found through
http://software.opensuse.org/search

#3: Thomas Schraitle (thomas-schraitle) (2010-06-08 15:49:52)
I've played a bit around and created several subpackages. You can find
it on
http://download.opensuse.org/repositories/home:/thomas-schraitle/openSUSE_11.2/noarch/
saxon9*.rpm Created submitrequest #41257 for Java:jpackage-1.7

#4: Thomas Schmidt (digitaltomm) (2010-12-17 13:16:02)
The request was declined...

#5: Eric Bischoff (e_bischoff) (2016-10-04 18:41:09)
Apparently, the request was finally accepted, because saxon9 is
available in SLE12. However, there is no version for SLE12 SP1 nor
SLE12 SP2. It is annoying, because it is the only XSLT 2.0 processor
that we provide (or do we provide another and I missed that?). libxslt
is XSLT 1 only. It would be nice to have it back at least for SP3 (and
while we're at it, upgraded to version 9.7).
Sorry in advance if I missed some point.

#6: Thomas Schraitle (thomas-schraitle) (2016-10-05 09:31:32) (reply to
#5)
> Apparently, the request was finally accepted, because saxon9 is
available in SLE12.
Right. :)
> [...] it is the only XSLT 2.0 processor that we provide (or do we
provide another and I missed that?). libxslt is XSLT 1 only.
ATM, Saxon9 is the only XSLT 2.0 processor. I don't know of any other
open source tool.
> It would be nice to have it back at least for SP3 (and while we're at
it, upgraded to version 9.7).
Could you open a new Fate request?

+ #7: Eric Bischoff (e_bischoff) (2016-10-05 13:06:46) (reply to #6)
+ Sure. I hesitated whether to pile on this old request or to open a new
+ one.




--
openSUSE Feature:
https://features.opensuse.org/309540

< Previous Next >
This Thread
References